Subject: RE: chmod suddenly ceased to work on old files - NEW FINDINGS
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 30 Jun 2005 09:25:33 +0200

> Ugh, top-posting.  Reformatted.

Sorry, won't happen again.

> >>-----Original Message-----
> According to FischRon.external AT infineon DOT com on 
> 6/28/2005 6:50 AM:
> > $ getfacl -a x y
> > # file: x
> > # owner: fischron
> > # group: mkgroup_l_d
> > user::rwx
> > group::---
> > group:Administrators:rwx
> > mask:rwx
> > other:---
> > 
> > # file: y
> > # owner: fischron
> > # group: mkgroup_l_d
> > user::rwx
> > group::---
> > mask:rwx
> > other:---
> > 
> > $ ls -l x y
> > -rwx------+   1 fischron mkgroup_        4 Jan 19  2004 x
> > -rwx------    1 fischron mkgroup_        0 Jun 28 09:07 y
> 
> Aha - just as I suspected - ACLs at work (the file x is 
> accessible to the
> administrators group, while the file y is not).  

Yes, and I don't know why, but how can this influence whether it is 
forbidden to chmod it? Note that I'm allowed to copy it and to remove
it. Just chmod is disallowed.

> Further 
> information would
> be useful, such as the attached output of 'cygcheck -svr'; see
> cygwin.com/problems.html.  

See attachment cygwin.txt

> And that mkgroup_ as the group 
> name is fishy;

What group would you expect? Actually, *all* my files seem to have 
mkgroup_ as group - and this is true since the installation of Cygwin
two years ago (and, no, I didn't have updated it since then).

> your /etc/group file is probably out-of-date, so see the output of
> 'mkgroup --help' to remedy that.

Here is what mkgroup -lcu says:

SYSTEM:S-1-5-18:18:
None:S-1-5-21-602162358-162531612-725345543-513:513:
Administrators:S-1-5-32-544:544:Local_Adm,fischron
Backup Operators:S-1-5-32-551:551:
Guests:S-1-5-32-546:546:Guest,Admin
Power Users:S-1-5-32-547:547:
Replicator:S-1-5-32-552:552:
Users:S-1-5-32-545:545:ASPNET
Debugger Users:S-1-5-21-602162358-162531612-725345543-1001:1001:
mkgroup_l_d:S-1-5-21-2052111302-842925246-682003330-513:10513:fischron

I wonder why the group is listed here as mkgroup_l_d and as mkgroup_ in
the ls -l output. I therefore did a ls -ln on the files and see that the
numeric group id of the files is given as 10513, which matches that of
mkgroup_l_d. So I guess that ls -l just trims the group name to 8
characters,
and that's why we see the strange group name "mkgroup_".

> > I don't know about the 'stat' command you are refering to.
> 
> It is part of coreutils-5.3.0-6.  Have you upgraded your 
> installation in a
> while?

No - would it be important to upgrade, in order to solve my problem? Of
course I will do if this is the only way, but I don't like upgrading if
it is not strictly necessary. You know: "Never touch a running system".

What stumbles me is that chmod ceased to work "overnight", so I was
thinking
what *does* happen overnight, and indeed, there is something going on:
The
backup of the network drives! 

In our machines, the C: drive is the local drive, while the other
driveletters
are mapped to network devices. I do most of my work on the network
drives, but
now I also checked /cygdrive/c/ ... and indeed, none of the file on the
local C: 
drive posed any problems for chmod'ing them!!! This means, that the
chmod
problem seems to be related only to the Network.

As a side note, a colleague of mine had also a problem with his files at
about the same time, though not related to Cygwin: In the middle of the
day, a couple of files simply had disappeared from his network drive (he
was able to recover an old version from the backup). It's not clear
whether
this relates to the problem I'm experiencing, and I just want to include
it
for completeness.

Ronald
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/